<?php function codended_horsewidget_customization_page(  ) { 
	global $wpdb;
	$table_name = $wpdb->prefix . 'ce_horsewidget_leagues';
	$leagues = $wpdb->get_results ( "SELECT DISTINCT LeagueName , LeagueId FROM $table_name");
	?>
	<form method='post' id="horsewidget-customizer" action="options.php">
		<?php wp_nonce_field('horsewidget-customizeoptions'); ?>
		<?php settings_fields( 'horsew-ce-customizesetting' ); ?>
		<h2>Customization Settings for Horse Racing Widgets</h2>
		
		<select name="horsecustomizeSetting" id="horsecustomizeSetting">

			<option <?php echo (get_option('horsecustomizeSetting')==1)?('selected'):(''); ?> value="1">Row Alternate Colors</option>
			<option <?php echo (get_option('horsecustomizeSetting')==2)?('selected'):(''); ?> value="2">Columns Alternate Colors</option>
			<option <?php echo (get_option('horsecustomizeSetting')==3)?('selected'):(''); ?> value="3">First Row/Column Colors</option>
		</select>
		<div id="rowAlternateColor">
			<br>
			<label>Even Row
				<input value="<?php echo get_option('horseraeven'); ?>" type="color" name="horseraeven">
			</label><br><br>
			<label>Odd Row
				<input value="<?php echo get_option('horseraodd'); ?>" type="color" name="horseraodd">
			</label>
		</div>
		<div id="columnAlternateColor">
			<br>
			<label>Even Row
				<input value="<?php echo get_option('horsecaeven'); ?>" type="color" name="horsecaeven">
			</label><br><br>
			<label>Odd Row
				<input value="<?php echo get_option('horsecaodd'); ?>" type="color" name="horsecaodd">
			</label>
		</div>
		<div id="fcfr">
			<br>
			<label>First Column
				<input value="<?php echo get_option('horsefcfrcolumn'); ?>" type="color" name="horsefcfrcolumn">
			</label><br><br>
			<label>First Row&nbsp; &nbsp; &nbsp;
				<input value="<?php echo get_option('horsefcfrrow'); ?>" type="color" name="horsefcfrrow">
			</label><br><br>

		</div><br><br>
		<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
		<h2>Preview (hit Save above for preview load)</h2>
		<style type="text/css">
			<?php if(get_option('horsecustomizeSetting')==1){ ?>
				#horsewidgetPreview tr:nth-child(odd){background-color:<?php echo get_option('horseraodd'); ?>;}
				#horsewidgetPreview tr:nth-child(even){background-color:<?php echo get_option('horseraeven'); ?>;}
			<?php }?>

			<?php if(get_option('horsecustomizeSetting')==2){ ?>
				#horsewidgetPreview td:nth-child(odd){background-color:<?php echo get_option('horsecaodd'); ?>;}
				#horsewidgetPreview td:nth-child(even){background-color:<?php echo get_option('horsecaeven'); ?>;}
			<?php }?>

			<?php if(get_option('horsecustomizeSetting')==3){ ?>
				#horsewidgetPreview td:nth-child(1){background-color:<?php echo get_option('horsefcfrcolumn'); ?>;}
				#horsewidgetPreview th { background-color: <?php echo get_option('horsefcfrrow'); ?>;} 
			<?php }?>
		</style>
		
		<div id="horsewidgetPreview"><a href="http://us.racingstats247.com/racecourses/Manor-Downs/" target="_blank">Race 1 - Manor Downs</a><br><br><table width="100%" border="1"><tbody><tr><td width="50px">Pos.</td><td>Horse</td><td width="40%">Form</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Cimpl-Man-23831301/" target="_blank">Cimpl Man</a></td><td>3 2 1 4 2 4</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/G-S-Turn-32689370/" target="_blank">G`S Turn</a></td><td>-</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Stone-Cafe-32569259/" target="_blank">Stone Cafe</a></td><td>6 2 1 5 4</td></tr></tbody></table><br><hr><a href="http://us.racingstats247.com/racecourses/Manor-Downs/" target="_blank">Race 2 - Manor Downs</a><br><br><table width="100%" border="1"><tbody><tr><td width="50px">Pos.</td><td>Horse</td><td width="40%">Form</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Lenny-S-Zeal-32686726/" target="_blank">Lenny`S Zeal</a></td><td>-</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Virtual-Silver-32669253/" target="_blank">Virtual Silver</a></td><td>-</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Weareinittowinit-32634916/" target="_blank">Weareinittowinit</a></td><td>-</td></tr></tbody></table><br><hr><a href="http://us.racingstats247.com/racecourses/Manor-Downs/" target="_blank">Race 3 - Manor Downs</a><br><br><table width="100%" border="1"><tbody><tr><td width="50px">Pos.</td><td>Horse</td><td width="40%">Form</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Betty-Do-It-32524165/" target="_blank">Betty Do It</a></td><td>6 5 8 5 4 7</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Bound-To-Be-Smart-32583263/" target="_blank">Bound To Be Smart</a></td><td>2 2 3 4 4</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/No-Surprise-32633357/" target="_blank">No Surprise</a></td><td>-</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Scarlette-Rose-32526904/" target="_blank">Scarlette Rose</a></td><td>6 6 3 2 9 4</td></tr></tbody></table><br><hr><a href="http://us.racingstats247.com/racecourses/Manor-Downs/" target="_blank">Race 4 - Manor Downs</a><br><br><table width="100%" border="1"><tbody><tr><td width="50px">Pos.</td><td>Horse</td><td width="40%">Form</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Black-Shadow-32359979/" target="_blank">Black Shadow</a></td><td>1 8 3 8 5 4</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/She-S-For-Real-32686584/" target="_blank">She`S For Real</a></td><td>-</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Street-Ruler-32523398/" target="_blank">Street Ruler</a></td><td>4 3 2 7 8 9</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Unbridled-Posse-32544205/" target="_blank">Unbridled Posse</a></td><td>3 4 1 8 0 0</td></tr></tbody></table><br><hr><a href="http://us.racingstats247.com/racecourses/Manor-Downs/" target="_blank">Race 5 - Manor Downs</a><br><br><table width="100%" border="1"><tbody><tr><td width="50px">Pos.</td><td>Horse</td><td width="40%">Form</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Catalina-Dreamin-32532686/" target="_blank">Catalina Dreamin</a></td><td>3 4 6 1 3 1</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Happy-Issue-32388036/" target="_blank">Happy Issue</a></td><td>4 6 1 0 5 6</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Home-Early-Shirley-32548373/" target="_blank">Home Early Shirley</a></td><td>2 3 6 2 4 8</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Super-Witt-32504934/" target="_blank">Super Witt</a></td><td>3 6 2 8 0 8</td></tr></tbody></table><br><hr><a href="http://us.racingstats247.com/racecourses/Manor-Downs/" target="_blank">Race 6 - Manor Downs</a><br><br><table width="100%" border="1"><tbody><tr><td width="50px">Pos.</td><td>Horse</td><td width="40%">Form</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/A-Lot-Of-Spunk-32570251/" target="_blank">A Lot Of Spunk</a></td><td>6 2 1 5</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Back-Inthat-Action-32599374/" target="_blank">Back Inthat Action</a></td><td>5</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Button-Mushroom-32456458/" target="_blank">Button Mushroom</a></td><td>1 1 1 3 6 9</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Distinct-Approval-32498378/" target="_blank">Distinct Approval</a></td><td>2 2 1 2 4 4</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Thislillimeofmine-32496535/" target="_blank">Thislillimeofmine</a></td><td>4 7 1 4 4 4</td></tr></tbody></table><br><hr><a href="http://us.racingstats247.com/racecourses/Manor-Downs/" target="_blank">Race 7 - Manor Downs</a><br><br><table width="100%" border="1"><tbody><tr><td width="50px">Pos.</td><td>Horse</td><td width="40%">Form</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Donna-S-Boy-32686727/" target="_blank">Donna`S Boy</a></td><td>-</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/He-S-A-Lady-Tamer-32687309/" target="_blank">He`S A Lady Tamer</a></td><td>-</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Hot-Rodin-26755001/" target="_blank">Hot Rodin</a></td><td>0 7 3 1 2 1</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Praise-Loudly-32544194/" target="_blank">Praise Loudly</a></td><td>4 3 2 8 3 0</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Silent-Emissary-32451645/" target="_blank">Silent Emissary</a></td><td>5 2 5 7 7 7</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Smartasatak-32487656/" target="_blank">Smartasatak</a></td><td>1 1 4 4 3 5</td></tr></tbody></table><br><hr><a href="http://us.racingstats247.com/racecourses/Manor-Downs/" target="_blank">Race 8 - Manor Downs</a><br><br><table width="100%" border="1"><tbody><tr><td width="50px">Pos.</td><td>Horse</td><td width="40%">Form</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Angelo-S-Pride-32689371/" target="_blank">Angelo`S Pride</a></td><td>-</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Blame-It-On-Brew-32593333/" target="_blank">Blame It On Brew</a></td><td>5 3 1 6</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Father-O-Flaherty-32687419/" target="_blank">Father O`Flaherty</a></td><td>-</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Speedy-Daredevil-32636942/" target="_blank">Speedy Daredevil</a></td><td>-</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Tacoflavoredkisses-32576339/" target="_blank">Tacoflavoredkisses</a></td><td>4 1 3 1 6</td></tr><tr><td></td><td><a href="http://us.racingstats247.com/horses/Triple-Live-32535017/" target="_blank">Triple Live</a></td><td>2 1 2 6 2 3</td></tr></tbody></table><br><hr></div>

		<p><strong>Advice:</strong> We do not recommend the implementation of multiple such snippets in a single article as
		it may slow down the load of your page given there will be more data to be transmitted.</p>
		<p><i>Note: Data provided by RacingStats247.com.</i></p>
		
	</form>
	<?php

}

?>