jQuery(document).ready(function($){
	var option = $("#horsecustomizeSetting").val();
	changeCustomizeStatus(option);
	$('#horsecustomizeSetting').on('change',function(){
		var option = $(this).val();
		changeCustomizeStatus(option);
	});

	function changeCustomizeStatus(option){
		var rac = $('#rowAlternateColor');
		var cac = $('#columnAlternateColor');
		var frfc = $('#fcfr');
		switch(option) {
		case '1':
			rac.show();
			cac.hide();
			frfc.hide();
			break;
		case '2':
			rac.hide();
			cac.show();
			frfc.hide();
			break;
		case '3':
			rac.hide();
			cac.hide();
			frfc.show();
			break;
		default:
			rac.show();
			cac.hide();
			frfc.hide();
			break;
		}
	}

	// $('#horsewidgetdatatype').on('change',function(){

	// 	var data_type = $(this).val();
	// 	var langId = $('#horsewidgetlanguage').val();
	// 	if(data_type){
	// 		$.ajax({
	// 			type:'POST',
	// 			url:ajaxurl,
	// 			data:{action : "ce_horsew_fetchTournaments" , data_type:data_type , langId:langId},
	// 			success:function(html){
	// 				$('#horsewidgettournament').html('<option value="">Select</option>');
	// 				$('#horsewidgettournament').append(html);
	// 				processChange();
	// 				$("#horsewidgettournament").val($("#horsewidgettournament option:first").val());
	// 			},

	// 		}); 
	// 	}else{
	// 		$('#horsewidgettournament').html('<option value="">Select</option>');
	// 	}
	// });


	$('#horsewidgetlanguage').on('change',function(){
		var langId = $(this).val();
		if(langId){
			$.ajax({
				type:'POST',
				url:ajaxurl,
				data:{action : "ce_horsew_fetchTournaments" , langId:langId},
				success:function(html){
					$('#horsewidgettournament').html('<option value="">Select</option>');
					$('#horsewidgettournament').append(html);
					processChange();
					$("#horsewidgettournament").val($("#horsewidgettournament option:first").val());
				},

			}); 
		}else{
			$('#horsewidgettournament').html('<option value="">Select</option>');
		}
	});


	$('#horsewidget-generator select').on('change',function(){
		processChange();
	});

	function processChange(){
		var Language = $('#horsewidgetlanguage').val();
		var DataType = $('#horsewidgetdatatype').val();
		var Tournament = $('#horsewidgettournament').val();

		if((DataType == 2)){
			$('#horsewidgetstage').html('');
			$('#horsewidgetgroup').html('');

			$("#horsewidgetstage").hide();
			$("#horsewidgetgroup").hide();
		}else{
			$("#horsewidgetstage").show();
			$("#horsewidgetgroup").show();
		}

		if((DataType == 0) || (Language  == 0) || (Tournament == 0)){
			$('#ShortcodePrev').html('Please Select The Required Fields');
			return;
		}else{

			if ($('#horsewidgetgroup option').length == 0) {
				$('#horsewidgetgroup').hide();
				$('#horsewidgetgroup').val('');
			}else{
				$('#horsewidgetgroup').show();
			}

			$('#ShortcodePrev').html('[horseracingstats lang='+Language+' type='+DataType+' ranking='+Tournament+']');
			processPreview(Language,DataType,Tournament);
		}
	}
	function processPreview(Language,DataType,Tournament){
		$.ajax({
			type:'POST',
			url:ajaxurl,
			data:{action : "ce_horsew_processPreview", Language:Language, DataType:DataType,Tournament:Tournament},
			success:function(html){
				html = html.replace(new RegExp('/"/', 'g'), '"');
				$('#horsewidgetPreviewDemo').html(html);
			},

		});
	}
});


