<?php function codended_horsewidget_options_page(  ) { 
	global $wpdb;
	$table_name = $wpdb->prefix . 'ce_horsewidget_leagues';
	$leagues = $wpdb->get_results ( "SELECT DISTINCT * FROM $table_name");
	$languages = $wpdb->get_results ( "SELECT DISTINCT countryId, country FROM $table_name");
	?>
	<form method='post' id="horsewidget-generator">

		<h2>Generate Horse Racing Widget Shortcode</h2>

		<select name="horsewidget_data_type" id="horsewidgetdatatype">
			<option value="0">Select Data Type</option>
			<option value="1">Fixtures & Results</option>
		</select>

		<select name="horsewidget_language" id="horsewidgetlanguage">
			<option value="0">Select Country</option>
			<?php foreach($languages as $language){
				echo '<option value="'.$language->countryId.'">'.$language->country.'</option>';
			}?>
		</select>
		
		<select name="horsewidget_tournament" id="horsewidgettournament">
			<option value="0">Select Racecourse</option>
			<?php foreach($leagues as $league){
				echo '<option value="'.$league->LeagueId.'">'.$league->country.' , '.$league->LeagueName.'</option>';
			}?>
		</select>	

		<h2>Use Shortcode</h2>
		<code id="ShortcodePrev">Please Select The Required Fields</code>
		<h2>Preview</h2>
		<div id="horsewidgetPreviewDemo"></div>
		<p><strong>Advice:</strong> We do not recommend the implementation of multiple such snippets in a single article as
		it may slow down the load of your page given there will be more data to be transmitted.</p>
		<p><i>Note: Data provided by Racingstats247.com.</i></p>
		
	</form>
	<?php

}
?>